Skip to main content
GET
GET /v1/training/jobs/{job_id}/checkpoints/{kind}/{name} Returns one checkpoint. To list all of a job’s checkpoints, use GET /v1/training/jobs/{job_id}/checkpoints.

Request

string
required
Interactive job ID.
string
required
weights for a state checkpoint, or sampler_weights for a sampler checkpoint.
string
required
Checkpoint name.

Response

checkpoint_type is training for a state checkpoint and sampler for a sampler checkpoint. expires_at is null when the checkpoint has no TTL.